Bug 109459 - RFE: Fix or otherwise investigate memory detection for Riva TNT2 card
RFE: Fix or otherwise investigate memory detection for Riva TNT2 card
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-07 19:09 EST by Mike A. Harris
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-12 08:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
here's the log file with the X config file set to 32M video ram (35.78 KB, text/plain)
2003-11-07 20:40 EST, Perry Wagle
no flags Details
here's the log file for the X config file that fedora core 1 gives me (35.08 KB, text/plain)
2003-11-07 20:44 EST, Perry Wagle
no flags Details

  None (edit)
Description Mike A. Harris 2003-11-07 19:09:10 EST
<wagle__> 01:00.0 Class 0300: 10de:002d (rev 15)
<wagle__>         Subsystem: 10b0:0000


This Nvidia card is one of the only cards known that the driver
doesn't autodetect memory amount correctly.  I don't have one of
these, however I can bug Nvidia to fix it, or we can put options
in the config tools to allow the user to pick their card from
a list which shows the ram amount.
Comment 1 Perry Wagle 2003-11-07 20:40:40 EST
Created attachment 95810 [details]
here's the log file with the X config file set to 32M video ram
Comment 2 Perry Wagle 2003-11-07 20:44:27 EST
Created attachment 95811 [details]
here's the log file for the X config file that fedora core 1 gives me

this X config file only does 1024x768.
the other one does 1280x1024.
the only significant diffs between the X config files is the VideoRam option,
and the list of screen sizes.
Comment 3 Mike A. Harris 2003-11-10 08:44:10 EST
-(**) NV(0): VideoRAM: 32768 kBytes
+(--) NV(0): VideoRAM: 32768 kBytes

Both of these log files show that 32Mb of video RAM is being used.
Have you attached the wrong log file?  Please make sure you're
using a config file with no VideoRAM option and attach the log
file from that.  If the video adaptor gets detected as 32Mb of
RAM properly, and you are having a problem with video modes
still, then there is a different bug in the driver of some sort,
and I can investigate that also.  Shouldn't be hard to find I
don't believe.

Thanks in advance.
Comment 4 Perry Wagle 2003-11-10 20:16:51 EST
Late Friday afternoon, when everyone else is heading to the pub, is a really bad time 
to file bug reports.  You are in a rush to get away, and despite trying to be 
meticulous and responsive to a personal request for info, you ignore little things 
subliminally niggling at your attention.

To wit: I popped in a working X config file from a previous install (anaconda?  from 
rh9?) where I had to tell the install that I had 32M videoram, and not the mere 4M that 
it got from somewhere that wasn't an actual correct probe of the hardware.

There were actually TWO (2) significant differences between the two X config files: the 
first was the adding of a VideoRam option.  The second was the specification of a 
"1280x1024" screen resolution.

It was the second that was the important thing.  The VideoRam option was 
superfluous, the driver already knew that the card had 32M.

But RH7.3, RH8, RH9, taroon beta2 installs all think the card has 4M videoram, and 
gave me the option to manually specify 32M videoram, permitting me to ask for 
1280x1024 screen resolution.

The fedora core/1 installation doesn't even ask, it just bores ahead hardcoding the 
1024x768 screen resolution into the X config that the fictitious 4M videoram would 
give me, and gives me no GUI way out of that misconfiguration.

So two things are broken:

(1) anaconda or whatever is claiming that this card has only 4M videoram. 

(2) there appears to be no way to get the running system to reprobe for the 
resolutions.

Where do these two bugs need to be refiled?
Comment 5 Mike A. Harris 2004-07-12 08:09:13 EDT
There is no known way to autodetect the proper amount of video memory
on Nvidia Riva TNT hardware, so the X video driver assumes 4Mb, as
all Riva TNT have at least 4Mb of RAM and will thus work.  If you have
greater than 4Mb, you have to manually configure the X server to tell
it that.

I've been unable to acquire any technical information from Nvidia
or elsewhere on how to detect memory on this hardware, but that has
not turned up anything.  As the hardware gets older and older, it
seems aparent that this problem will never be resolved without the
help of Nvidia.

I'm going to close this as "WONTFIX", as there's nothing that can
really be done about it at Red Hat, however you can file a bug report
upstream at http://bugs.freedesktop.org against the "xorg" product,
"Driver/nv" component if you'd like to have it tracked upstream.
Perhaps someone from Nvidia can shed some light on the issue in
the upstream bugzilla.

Setting status to "WONTFIX"

Note You need to log in before you can comment on or make changes to this bug.